Skip to main content
GET
/
ai
/
threads
/
{thread_id}
/
task-graphs
List thread task graphs
curl --request GET \
  --url https://api.wacht.dev/ai/threads/{thread_id}/task-graphs \
  --cookie __session=
{
  "status": 123,
  "message": "<string>",
  "session": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ],
  "data": {
    "limit": 123,
    "has_more": true,
    "next_cursor": "<string>",
    "data": [
      {
        "graph": {
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "deployment_id": "<string>",
          "thread_id": "<string>",
          "board_item_id": "<string>",
          "version": 123,
          "status": "<string>",
          "metadata": {}
        },
        "nodes": [
          {
            "id": "<string>",
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z",
            "graph_id": "<string>",
            "board_item_id": "<string>",
            "title": "<string>",
            "description": "<string>",
            "status": "<string>",
            "priority": 123,
            "owner_agent_id": "<string>",
            "assigned_thread_id": "<string>",
            "retry_count": 123,
            "max_retries": 123,
            "input": {},
            "output": {},
            "error": {},
            "lease_owner": "<string>",
            "lease_until": "2023-11-07T05:31:56Z",
            "completed_at": "2023-11-07T05:31:56Z"
          }
        ],
        "edges": [
          {
            "graph_id": "<string>",
            "from_node_id": "<string>",
            "to_node_id": "<string>",
            "dependency_type": "<string>",
            "created_at": "2023-11-07T05:31:56Z"
          }
        ],
        "summary": {
          "graph_id": "<string>",
          "graph_status": "<string>",
          "total_nodes": 123,
          "pending_nodes": 123,
          "ready_nodes": 123,
          "in_progress_nodes": 123,
          "completed_nodes": 123,
          "failed_nodes": 123,
          "cancelled_nodes": 123,
          "progress_percent": 123
        }
      }
    ]
  }
}

Authorizations

__session
string
cookie
required

Path Parameters

thread_id
string
required

Query Parameters

limit
integer
cursor
string

Response

200 - application/json

Thread task graph page

status
integer
message
string
session
object
errors
object[]
data
object